JiBXConstrainedParseException (JiBX Java data binding to XML - Version 1.1.6a)
Date: 2008-06-08

Overview | Package | Class | Deprecated
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jibx.runtime
Class JiBXConstrainedParseException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.jibx.runtime.JiBXException
                  org.jibx.runtime.JiBXParseException
                      org.jibx.runtime.JiBXConstrainedParseException

All Implemented Interfaces:
  java.io.Serializable

    public class JiBXConstrainedParseException

extends JiBXParseException

Thrown when a "constrained" parsing exception is encountered (e.g. an enumerated value).

Author:
  Joshua Davies
See Also:
  Serialized Form

Constructor Summary
`JiBXConstrainedParseException(java.lang.String msg, java.lang.String value, java.lang.String[] allowableValues)`
`JiBXConstrainedParseException(java.lang.String msg, java.lang.String value, java.lang.String[] allowableValues, java.lang.String namespace, java.lang.String tagName, java.lang.Throwable root)`

Method Summary
`boolean` | `equals(java.lang.Object obj)` Solely used by unit tests.
`java.lang.String` | `getMessage()` Append useful parsing details onto the default message.

Methods inherited from class org.jibx.runtime.JiBXParseException
`setNamespace, setTagName`

Methods inherited from class org.jibx.runtime.JiBXException
`getRootCause, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, setStackTrace, toString`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JiBXConstrainedParseException

    public JiBXConstrainedParseException(java.lang.String msg,
                                         java.lang.String value,
                                         java.lang.String[] allowableValues)

### JiBXConstrainedParseException

    public JiBXConstrainedParseException(java.lang.String msg,
                                         java.lang.String value,
                                         java.lang.String[] allowableValues,
                                         java.lang.String namespace,
                                         java.lang.String tagName,
                                         java.lang.Throwable root)

Method Detail

### getMessage

    public java.lang.String getMessage()

  Description copied from class: `JiBXParseException`
  Append useful parsing details onto the default message.

  Overrides:
    `getMessage` in class `JiBXParseException`
  Returns:
    the default message with "constraint" text appended.

### equals

    public boolean equals(java.lang.Object obj)

  Solely used by unit tests.

  Overrides:
    `equals` in class `JiBXParseException`
  Parameters:
    `obj` - what to compare against
  Returns:
    true or false

Overview | Package | Class | Deprecated
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Project Web Site |